Package org.eclipse.graphiti.mm.algorithms.styles

## Interface StylesPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `StylesPackageImpl`

    public interface StylesPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `StylesFactory`

### Nested Class Summary

Nested Classes
`static interface` `StylesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static int` `ABSTRACT_STYLE` The meta object id for the '`Abstract Style`' class.
`static int` `ABSTRACT_STYLE__BACKGROUND` The feature id for the 'Background' reference.
`static int` `ABSTRACT_STYLE__FILLED` The feature id for the 'Filled' attribute.
`static int` `ABSTRACT_STYLE__FOREGROUND` The feature id for the 'Foreground' reference.
`static int` `ABSTRACT_STYLE__LINE_STYLE` The feature id for the 'Line Style' attribute.
`static int` `ABSTRACT_STYLE__LINE_VISIBLE` The feature id for the 'Line Visible' attribute.
`static int` `ABSTRACT_STYLE__LINE_WIDTH` The feature id for the 'Line Width' attribute.
`static int` `ABSTRACT_STYLE__RENDERING_STYLE` The feature id for the 'Rendering Style' containment reference.
`static int` `ABSTRACT_STYLE__TRANSPARENCY` The feature id for the 'Transparency' attribute.
`static int` `ABSTRACT_STYLE_FEATURE_COUNT` The number of structural features of the 'Abstract Style' class.
`static int` `ADAPTED_GRADIENT_COLORED_AREAS` The meta object id for the '`Adapted Gradient Colored Areas`' class.
`static int` `ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS` The feature id for the 'Adapted Gradient Colored Areas' containment reference list.
`static int` `ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID` The feature id for the 'Defined Style Id' attribute.
`static int` `ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE` The feature id for the 'Gradient Type' attribute.
`static int` `ADAPTED_GRADIENT_COLORED_AREAS_FEATURE_COUNT` The number of structural features of the 'Adapted Gradient Colored Areas' class.
`static int` `COLOR` The meta object id for the '`Color`' class.
`static int` `COLOR__BLUE` The feature id for the 'Blue' attribute.
`static int` `COLOR__GREEN` The feature id for the 'Green' attribute.
`static int` `COLOR__RED` The feature id for the 'Red' attribute.
`static int` `COLOR_FEATURE_COUNT` The number of structural features of the 'Color' class.
`static StylesPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FONT` The meta object id for the '`Font`' class.
`static int` `FONT__BOLD` The feature id for the 'Bold' attribute.
`static int` `FONT__ITALIC` The feature id for the 'Italic' attribute.
`static int` `FONT__NAME` The feature id for the 'Name' attribute.
`static int` `FONT__SIZE` The feature id for the 'Size' attribute.
`static int` `FONT_FEATURE_COUNT` The number of structural features of the 'Font' class.
`static int` `GRADIENT_COLORED_AREA` The meta object id for the '`Gradient Colored Area`' class.
`static int` `GRADIENT_COLORED_AREA__END` The feature id for the 'End' containment reference.
`static int` `GRADIENT_COLORED_AREA__START` The feature id for the 'Start' containment reference.
`static int` `GRADIENT_COLORED_AREA_FEATURE_COUNT` The number of structural features of the 'Gradient Colored Area' class.
`static int` `GRADIENT_COLORED_AREAS` The meta object id for the '`Gradient Colored Areas`' class.
`static int` `GRADIENT_COLORED_AREAS__GRADIENT_COLOR` The feature id for the 'Gradient Color' containment reference list.
`static int` `GRADIENT_COLORED_AREAS__STYLE_ADAPTION` The feature id for the 'Style Adaption' attribute.
`static int` `GRADIENT_COLORED_AREAS_FEATURE_COUNT` The number of structural features of the 'Gradient Colored Areas' class.
`static int` `GRADIENT_COLORED_LOCATION` The meta object id for the '`Gradient Colored Location`' class.
`static int` `GRADIENT_COLORED_LOCATION__COLOR` The feature id for the 'Color' containment reference.
`static int` `GRADIENT_COLORED_LOCATION__LOCATION_TYPE` The feature id for the 'Location Type' attribute.
`static int` `GRADIENT_COLORED_LOCATION__LOCATION_VALUE` The feature id for the 'Location Value' attribute.
`static int` `GRADIENT_COLORED_LOCATION_FEATURE_COUNT` The number of structural features of the 'Gradient Colored Location' class.
`static int` `LINE_STYLE` The meta object id for the '`Line Style`' enum.
`static int` `LOCATION_TYPE` The meta object id for the '`Location Type`' enum.
`static int` `ORIENTATION` The meta object id for the '`Orientation`' enum.
`static int` `POINT` The meta object id for the '`Point`' class.
`static int` `POINT__AFTER` The feature id for the 'After' attribute.
`static int` `POINT__BEFORE` The feature id for the 'Before' attribute.
`static int` `POINT__X` The feature id for the 'X' attribute.
`static int` `POINT__Y` The feature id for the 'Y' attribute.
`static int` `POINT_FEATURE_COUNT` The number of structural features of the 'Point' class.
`static int` `PRECISION_POINT` The meta object id for the '`Precision Point`' class.
`static int` `PRECISION_POINT__X` The feature id for the 'X' attribute.
`static int` `PRECISION_POINT__Y` The feature id for the 'Y' attribute.
`static int` `PRECISION_POINT_FEATURE_COUNT` The number of structural features of the 'Precision Point' class.
`static int` `RENDERING_STYLE` The meta object id for the '`Rendering Style`' class.
`static int` `RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS` The feature id for the 'Adapted Gradient Colored Areas' containment reference.
`static int` `RENDERING_STYLE_FEATURE_COUNT` The number of structural features of the 'Rendering Style' class.
`static int` `STYLE` The meta object id for the '`Style`' class.
`static int` `STYLE__ANGLE` The feature id for the 'Angle' attribute.
`static int` `STYLE__BACKGROUND` The feature id for the 'Background' reference.
`static int` `STYLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `STYLE__FILLED` The feature id for the 'Filled' attribute.
`static int` `STYLE__FONT` The feature id for the 'Font' reference.
`static int` `STYLE__FOREGROUND` The feature id for the 'Foreground' reference.
`static int` `STYLE__HORIZONTAL_ALIGNMENT` The feature id for the 'Horizontal Alignment' attribute.
`static int` `STYLE__ID` The feature id for the 'Id' attribute.
`static int` `STYLE__LINE_STYLE` The feature id for the 'Line Style' attribute.
`static int` `STYLE__LINE_VISIBLE` The feature id for the 'Line Visible' attribute.
`static int` `STYLE__LINE_WIDTH` The feature id for the 'Line Width' attribute.
`static int` `STYLE__PROPORTIONAL` The feature id for the 'Proportional' attribute.
`static int` `STYLE__RENDERING_STYLE` The feature id for the 'Rendering Style' containment reference.
`static int` `STYLE__ROTATION` The feature id for the 'Rotation' attribute.
`static int` `STYLE__STRETCH_H` The feature id for the 'Stretch H' attribute.
`static int` `STYLE__STRETCH_V` The feature id for the 'Stretch V' attribute.
`static int` `STYLE__STYLE_CONTAINER` The feature id for the 'Style Container' container reference.
`static int` `STYLE__STYLES` The feature id for the 'Styles' containment reference list.
`static int` `STYLE__TRANSPARENCY` The feature id for the 'Transparency' attribute.
`static int` `STYLE__VERTICAL_ALIGNMENT` The feature id for the 'Vertical Alignment' attribute.
`static int` `STYLE_FEATURE_COUNT` The number of structural features of the 'Style' class.
`static int` `TEXT_STYLE` The meta object id for the '`Text Style`' class.
`static int` `TEXT_STYLE__BACKGROUND` The feature id for the 'Background' reference.
`static int` `TEXT_STYLE__FONT` The feature id for the 'Font' reference.
`static int` `TEXT_STYLE__FOREGROUND` The feature id for the 'Foreground' reference.
`static int` `TEXT_STYLE__STRIKEOUT` The feature id for the 'Strikeout' attribute.
`static int` `TEXT_STYLE__STRIKEOUT_COLOR` The feature id for the 'Strikeout Color' reference.
`static int` `TEXT_STYLE__UNDERLINE` The feature id for the 'Underline' attribute.
`static int` `TEXT_STYLE__UNDERLINE_COLOR` The feature id for the 'Underline Color' reference.
`static int` `TEXT_STYLE__UNDERLINE_STYLE` The feature id for the 'Underline Style' attribute.
`static int` `TEXT_STYLE_FEATURE_COUNT` The number of structural features of the 'Text Style' class.
`static int` `TEXT_STYLE_REGION` The meta object id for the '`Text Style Region`' class.
`static int` `TEXT_STYLE_REGION__END` The feature id for the 'End' attribute.
`static int` `TEXT_STYLE_REGION__START` The feature id for the 'Start' attribute.
`static int` `TEXT_STYLE_REGION__STYLE` The feature id for the 'Style' containment reference.
`static int` `TEXT_STYLE_REGION_FEATURE_COUNT` The number of structural features of the 'Text Style Region' class.
`static int` `UNDERLINE_STYLE` The meta object id for the '`Underline Style`' enum.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EClass` `getAbstractStyle()` Returns the meta object for class '`Abstract Style`'.
`org.eclipse.emf.ecore.EReference` `getAbstractStyle_Background()` Returns the meta object for the reference '`Background`'.
`org.eclipse.emf.ecore.EAttribute` `getAbstractStyle_Filled()` Returns the meta object for the attribute '`Filled`'.
`org.eclipse.emf.ecore.EReference` `getAbstractStyle_Foreground()` Returns the meta object for the reference '`Foreground`'.
`org.eclipse.emf.ecore.EAttribute` `getAbstractStyle_LineStyle()` Returns the meta object for the attribute '`Line Style`'.
`org.eclipse.emf.ecore.EAttribute` `getAbstractStyle_LineVisible()` Returns the meta object for the attribute '`Line Visible`'.
`org.eclipse.emf.ecore.EAttribute` `getAbstractStyle_LineWidth()` Returns the meta object for the attribute '`Line Width`'.
`org.eclipse.emf.ecore.EReference` `getAbstractStyle_RenderingStyle()` Returns the meta object for the containment reference '`Rendering Style`'.
`org.eclipse.emf.ecore.EAttribute` `getAbstractStyle_Transparency()` Returns the meta object for the attribute '`Transparency`'.
`org.eclipse.emf.ecore.EClass` `getAdaptedGradientColoredAreas()` Returns the meta object for class '`Adapted Gradient Colored Areas`'.
`org.eclipse.emf.ecore.EReference` `getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas()` Returns the meta object for the containment reference list '`Adapted Gradient Colored Areas`'.
`org.eclipse.emf.ecore.EAttribute` `getAdaptedGradientColoredAreas_DefinedStyleId()` Returns the meta object for the attribute '`Defined Style Id`'.
`org.eclipse.emf.ecore.EAttribute` `getAdaptedGradientColoredAreas_GradientType()` Returns the meta object for the attribute '`Gradient Type`'.
`org.eclipse.emf.ecore.EClass` `getColor()` Returns the meta object for class '`Color`'.
`org.eclipse.emf.ecore.EAttribute` `getColor_Blue()` Returns the meta object for the attribute '`Blue`'.
`org.eclipse.emf.ecore.EAttribute` `getColor_Green()` Returns the meta object for the attribute '`Green`'.
`org.eclipse.emf.ecore.EAttribute` `getColor_Red()` Returns the meta object for the attribute '`Red`'.
`org.eclipse.emf.ecore.EClass` `getFont()` Returns the meta object for class '`Font`'.
`org.eclipse.emf.ecore.EAttribute` `getFont_Bold()` Returns the meta object for the attribute '`Bold`'.
`org.eclipse.emf.ecore.EAttribute` `getFont_Italic()` Returns the meta object for the attribute '`Italic`'.
`org.eclipse.emf.ecore.EAttribute` `getFont_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getFont_Size()` Returns the meta object for the attribute '`Size`'.
`org.eclipse.emf.ecore.EClass` `getGradientColoredArea()` Returns the meta object for class '`Gradient Colored Area`'.
`org.eclipse.emf.ecore.EReference` `getGradientColoredArea_End()` Returns the meta object for the containment reference '`End`'.
`org.eclipse.emf.ecore.EReference` `getGradientColoredArea_Start()` Returns the meta object for the containment reference '`Start`'.
`org.eclipse.emf.ecore.EClass` `getGradientColoredAreas()` Returns the meta object for class '`Gradient Colored Areas`'.
`org.eclipse.emf.ecore.EReference` `getGradientColoredAreas_GradientColor()` Returns the meta object for the containment reference list '`Gradient Color`'.
`org.eclipse.emf.ecore.EAttribute` `getGradientColoredAreas_StyleAdaption()` Returns the meta object for the attribute '`Style Adaption`'.
`org.eclipse.emf.ecore.EClass` `getGradientColoredLocation()` Returns the meta object for class '`Gradient Colored Location`'.
`org.eclipse.emf.ecore.EReference` `getGradientColoredLocation_Color()` Returns the meta object for the containment reference '`Color`'.
`org.eclipse.emf.ecore.EAttribute` `getGradientColoredLocation_LocationType()` Returns the meta object for the attribute '`Location Type`'.
`org.eclipse.emf.ecore.EAttribute` `getGradientColoredLocation_LocationValue()` Returns the meta object for the attribute '`Location Value`'.
`org.eclipse.emf.ecore.EEnum` `getLineStyle()` Returns the meta object for enum '`Line Style`'.
`org.eclipse.emf.ecore.EEnum` `getLocationType()` Returns the meta object for enum '`Location Type`'.
`org.eclipse.emf.ecore.EEnum` `getOrientation()` Returns the meta object for enum '`Orientation`'.
`org.eclipse.emf.ecore.EClass` `getPoint()` Returns the meta object for class '`Point`'.
`org.eclipse.emf.ecore.EAttribute` `getPoint_After()` Returns the meta object for the attribute '`After`'.
`org.eclipse.emf.ecore.EAttribute` `getPoint_Before()` Returns the meta object for the attribute '`Before`'.
`org.eclipse.emf.ecore.EAttribute` `getPoint_X()` Returns the meta object for the attribute '`X`'.
`org.eclipse.emf.ecore.EAttribute` `getPoint_Y()` Returns the meta object for the attribute '`Y`'.
`org.eclipse.emf.ecore.EClass` `getPrecisionPoint()` Returns the meta object for class '`Precision Point`'.
`org.eclipse.emf.ecore.EAttribute` `getPrecisionPoint_X()` Returns the meta object for the attribute '`X`'.
`org.eclipse.emf.ecore.EAttribute` `getPrecisionPoint_Y()` Returns the meta object for the attribute '`Y`'.
`org.eclipse.emf.ecore.EClass` `getRenderingStyle()` Returns the meta object for class '`Rendering Style`'.
`org.eclipse.emf.ecore.EReference` `getRenderingStyle_AdaptedGradientColoredAreas()` Returns the meta object for the containment reference '`Adapted Gradient Colored Areas`'.
`org.eclipse.emf.ecore.EClass` `getStyle()` Returns the meta object for class '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_Angle()` Returns the meta object for the attribute '`Angle`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EReference` `getStyle_Font()` Returns the meta object for the reference '`Font`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_HorizontalAlignment()` Returns the meta object for the attribute '`Horizontal Alignment`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_Id()` Returns the meta object for the attribute '`Id`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_Proportional()` Returns the meta object for the attribute '`Proportional`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_Rotation()` Returns the meta object for the attribute '`Rotation`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_StretchH()` Returns the meta object for the attribute '`Stretch H`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_StretchV()` Returns the meta object for the attribute '`Stretch V`'.
`org.eclipse.emf.ecore.EReference` `getStyle_StyleContainer()` Returns the meta object for the container reference '`Style Container`'.
`org.eclipse.emf.ecore.EAttribute` `getStyle_VerticalAlignment()` Returns the meta object for the attribute '`Vertical Alignment`'.
`StylesFactory` `getStylesFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getTextStyle()` Returns the meta object for class '`Text Style`'.
`org.eclipse.emf.ecore.EReference` `getTextStyle_Background()` Returns the meta object for the reference '`Background`'.
`org.eclipse.emf.ecore.EReference` `getTextStyle_Font()` Returns the meta object for the reference '`Font`'.
`org.eclipse.emf.ecore.EReference` `getTextStyle_Foreground()` Returns the meta object for the reference '`Foreground`'.
`org.eclipse.emf.ecore.EAttribute` `getTextStyle_Strikeout()` Returns the meta object for the attribute '`Strikeout`'.
`org.eclipse.emf.ecore.EReference` `getTextStyle_StrikeoutColor()` Returns the meta object for the reference '`Strikeout Color`'.
`org.eclipse.emf.ecore.EAttribute` `getTextStyle_Underline()` Returns the meta object for the attribute '`Underline`'.
`org.eclipse.emf.ecore.EReference` `getTextStyle_UnderlineColor()` Returns the meta object for the reference '`Underline Color`'.
`org.eclipse.emf.ecore.EAttribute` `getTextStyle_UnderlineStyle()` Returns the meta object for the attribute '`Underline Style`'.
`org.eclipse.emf.ecore.EClass` `getTextStyleRegion()` Returns the meta object for class '`Text Style Region`'.
`org.eclipse.emf.ecore.EAttribute` `getTextStyleRegion_End()` Returns the meta object for the attribute '`End`'.
`org.eclipse.emf.ecore.EAttribute` `getTextStyleRegion_Start()` Returns the meta object for the attribute '`Start`'.
`org.eclipse.emf.ecore.EReference` `getTextStyleRegion_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EEnum` `getUnderlineStyle()` Returns the meta object for enum '`Underline Style`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final StylesPackage eINSTANCE

The singleton instance of the package.

#### RENDERING_STYLE

    static final int RENDERING_STYLE

The meta object id for the '`Rendering Style`' class.

See Also:
  `RenderingStyleImpl`, `StylesPackageImpl.getRenderingStyle()`, Constant Field Values

#### RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS

    static final int RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS

The feature id for the 'Adapted Gradient Colored Areas' containment reference.

See Also:
  Constant Field Values

#### RENDERING_STYLE_FEATURE_COUNT

    static final int RENDERING_STYLE_FEATURE_COUNT

The number of structural features of the 'Rendering Style' class.

See Also:
  Constant Field Values

#### STYLE

    static final int STYLE

The meta object id for the '`Style`' class.

See Also:
  `StyleImpl`, `StylesPackageImpl.getStyle()`, Constant Field Values

#### STYLE__STYLES

    static final int STYLE__STYLES

The feature id for the 'Styles' containment reference list.

See Also:
  Constant Field Values

#### STYLE__BACKGROUND

    static final int STYLE__BACKGROUND

The feature id for the 'Background' reference.

See Also:
  Constant Field Values

#### STYLE__FOREGROUND

    static final int STYLE__FOREGROUND

The feature id for the 'Foreground' reference.

See Also:
  Constant Field Values

#### STYLE__LINE_WIDTH

    static final int STYLE__LINE_WIDTH

The feature id for the 'Line Width' attribute.

See Also:
  Constant Field Values

#### STYLE__LINE_STYLE

    static final int STYLE__LINE_STYLE

The feature id for the 'Line Style' attribute.

See Also:
  Constant Field Values

#### STYLE__FILLED

    static final int STYLE__FILLED

The feature id for the 'Filled' attribute.

See Also:
  Constant Field Values

#### STYLE__LINE_VISIBLE

    static final int STYLE__LINE_VISIBLE

The feature id for the 'Line Visible' attribute.

See Also:
  Constant Field Values

#### STYLE__RENDERING_STYLE

    static final int STYLE__RENDERING_STYLE

The feature id for the 'Rendering Style' containment reference.

See Also:
  Constant Field Values

#### STYLE__TRANSPARENCY

    static final int STYLE__TRANSPARENCY

The feature id for the 'Transparency' attribute.

See Also:
  Constant Field Values

#### STYLE__ID

    static final int STYLE__ID

The feature id for the 'Id' attribute.

See Also:
  Constant Field Values

#### STYLE__DESCRIPTION

    static final int STYLE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### STYLE__FONT

    static final int STYLE__FONT

The feature id for the 'Font' reference.

See Also:
  Constant Field Values

#### STYLE__HORIZONTAL_ALIGNMENT

    static final int STYLE__HORIZONTAL_ALIGNMENT

The feature id for the 'Horizontal Alignment' attribute.

See Also:
  Constant Field Values

#### STYLE__VERTICAL_ALIGNMENT

    static final int STYLE__VERTICAL_ALIGNMENT

The feature id for the 'Vertical Alignment' attribute.

See Also:
  Constant Field Values

#### STYLE__ANGLE

    static final int STYLE__ANGLE

The feature id for the 'Angle' attribute.

See Also:
  Constant Field Values

#### STYLE__STRETCH_H

    static final int STYLE__STRETCH_H

The feature id for the 'Stretch H' attribute.

See Also:
  Constant Field Values

#### STYLE__STRETCH_V

    static final int STYLE__STRETCH_V

The feature id for the 'Stretch V' attribute.

See Also:
  Constant Field Values

#### STYLE__PROPORTIONAL

    static final int STYLE__PROPORTIONAL

The feature id for the 'Proportional' attribute.

See Also:
  Constant Field Values

#### STYLE__STYLE_CONTAINER

    static final int STYLE__STYLE_CONTAINER

The feature id for the 'Style Container' container reference.

See Also:
  Constant Field Values

#### STYLE__ROTATION

    static final int STYLE__ROTATION

The feature id for the 'Rotation' attribute.

Since:
  0.11
See Also:
  Constant Field Values

#### STYLE_FEATURE_COUNT

    static final int STYLE_FEATURE_COUNT

The number of structural features of the 'Style' class.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE

    static final int ABSTRACT_STYLE

The meta object id for the '`Abstract Style`' class.

See Also:
  `AbstractStyleImpl`, `StylesPackageImpl.getAbstractStyle()`, Constant Field Values

#### ABSTRACT_STYLE__BACKGROUND

    static final int ABSTRACT_STYLE__BACKGROUND

The feature id for the 'Background' reference.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__FOREGROUND

    static final int ABSTRACT_STYLE__FOREGROUND

The feature id for the 'Foreground' reference.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__LINE_WIDTH

    static final int ABSTRACT_STYLE__LINE_WIDTH

The feature id for the 'Line Width' attribute.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__LINE_STYLE

    static final int ABSTRACT_STYLE__LINE_STYLE

The feature id for the 'Line Style' attribute.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__FILLED

    static final int ABSTRACT_STYLE__FILLED

The feature id for the 'Filled' attribute.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__LINE_VISIBLE

    static final int ABSTRACT_STYLE__LINE_VISIBLE

The feature id for the 'Line Visible' attribute.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__RENDERING_STYLE

    static final int ABSTRACT_STYLE__RENDERING_STYLE

The feature id for the 'Rendering Style' containment reference.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE__TRANSPARENCY

    static final int ABSTRACT_STYLE__TRANSPARENCY

The feature id for the 'Transparency' attribute.

See Also:
  Constant Field Values

#### ABSTRACT_STYLE_FEATURE_COUNT

    static final int ABSTRACT_STYLE_FEATURE_COUNT

The number of structural features of the 'Abstract Style' class.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_LOCATION

    static final int GRADIENT_COLORED_LOCATION

The meta object id for the '`Gradient Colored Location`' class.

See Also:
  `GradientColoredLocationImpl`, `StylesPackageImpl.getGradientColoredLocation()`, Constant Field Values

#### GRADIENT_COLORED_LOCATION__LOCATION_TYPE

    static final int GRADIENT_COLORED_LOCATION__LOCATION_TYPE

The feature id for the 'Location Type' attribute.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_LOCATION__LOCATION_VALUE

    static final int GRADIENT_COLORED_LOCATION__LOCATION_VALUE

The feature id for the 'Location Value' attribute.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_LOCATION__COLOR

    static final int GRADIENT_COLORED_LOCATION__COLOR

The feature id for the 'Color' containment reference.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_LOCATION_FEATURE_COUNT

    static final int GRADIENT_COLORED_LOCATION_FEATURE_COUNT

The number of structural features of the 'Gradient Colored Location' class.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREA

    static final int GRADIENT_COLORED_AREA

The meta object id for the '`Gradient Colored Area`' class.

See Also:
  `GradientColoredAreaImpl`, `StylesPackageImpl.getGradientColoredArea()`, Constant Field Values

#### GRADIENT_COLORED_AREA__START

    static final int GRADIENT_COLORED_AREA__START

The feature id for the 'Start' containment reference.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREA__END

    static final int GRADIENT_COLORED_AREA__END

The feature id for the 'End' containment reference.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREA_FEATURE_COUNT

    static final int GRADIENT_COLORED_AREA_FEATURE_COUNT

The number of structural features of the 'Gradient Colored Area' class.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREAS

    static final int GRADIENT_COLORED_AREAS

The meta object id for the '`Gradient Colored Areas`' class.

See Also:
  `GradientColoredAreasImpl`, `StylesPackageImpl.getGradientColoredAreas()`, Constant Field Values

#### GRADIENT_COLORED_AREAS__GRADIENT_COLOR

    static final int GRADIENT_COLORED_AREAS__GRADIENT_COLOR

The feature id for the 'Gradient Color' containment reference list.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREAS__STYLE_ADAPTION

    static final int GRADIENT_COLORED_AREAS__STYLE_ADAPTION

The feature id for the 'Style Adaption' attribute.

See Also:
  Constant Field Values

#### GRADIENT_COLORED_AREAS_FEATURE_COUNT

    static final int GRADIENT_COLORED_AREAS_FEATURE_COUNT

The number of structural features of the 'Gradient Colored Areas' class.

See Also:
  Constant Field Values

#### ADAPTED_GRADIENT_COLORED_AREAS

    static final int ADAPTED_GRADIENT_COLORED_AREAS

The meta object id for the '`Adapted Gradient Colored Areas`' class.

See Also:
  `AdaptedGradientColoredAreasImpl`, `StylesPackageImpl.getAdaptedGradientColoredAreas()`, Constant Field Values

#### ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID

    static final int ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID

The feature id for the 'Defined Style Id' attribute.

See Also:
  Constant Field Values

#### ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS

    static final int ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS

The feature id for the 'Adapted Gradient Colored Areas' containment reference list.

See Also:
  Constant Field Values

#### ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE

    static final int ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE

The feature id for the 'Gradient Type' attribute.

See Also:
  Constant Field Values

#### ADAPTED_GRADIENT_COLORED_AREAS_FEATURE_COUNT

    static final int ADAPTED_GRADIENT_COLORED_AREAS_FEATURE_COUNT

The number of structural features of the 'Adapted Gradient Colored Areas' class.

See Also:
  Constant Field Values

#### FONT

    static final int FONT

The meta object id for the '`Font`' class.

See Also:
  `FontImpl`, `StylesPackageImpl.getFont()`, Constant Field Values

#### FONT__NAME

    static final int FONT__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### FONT__SIZE

    static final int FONT__SIZE

The feature id for the 'Size' attribute.

See Also:
  Constant Field Values

#### FONT__ITALIC

    static final int FONT__ITALIC

The feature id for the 'Italic' attribute.

See Also:
  Constant Field Values

#### FONT__BOLD

    static final int FONT__BOLD

The feature id for the 'Bold' attribute.

See Also:
  Constant Field Values

#### FONT_FEATURE_COUNT

    static final int FONT_FEATURE_COUNT

The number of structural features of the 'Font' class.

See Also:
  Constant Field Values

#### POINT

    static final int POINT

The meta object id for the '`Point`' class.

See Also:
  `PointImpl`, `StylesPackageImpl.getPoint()`, Constant Field Values

#### POINT__X

    static final int POINT__X

The feature id for the 'X' attribute.

See Also:
  Constant Field Values

#### POINT__Y

    static final int POINT__Y

The feature id for the 'Y' attribute.

See Also:
  Constant Field Values

#### POINT__BEFORE

    static final int POINT__BEFORE

The feature id for the 'Before' attribute.

See Also:
  Constant Field Values

#### POINT__AFTER

    static final int POINT__AFTER

The feature id for the 'After' attribute.

See Also:
  Constant Field Values

#### POINT_FEATURE_COUNT

    static final int POINT_FEATURE_COUNT

The number of structural features of the 'Point' class.

See Also:
  Constant Field Values

#### COLOR

    static final int COLOR

The meta object id for the '`Color`' class.

See Also:
  `ColorImpl`, `StylesPackageImpl.getColor()`, Constant Field Values

#### COLOR__RED

    static final int COLOR__RED

The feature id for the 'Red' attribute.

See Also:
  Constant Field Values

#### COLOR__GREEN

    static final int COLOR__GREEN

The feature id for the 'Green' attribute.

See Also:
  Constant Field Values

#### COLOR__BLUE

    static final int COLOR__BLUE

The feature id for the 'Blue' attribute.

See Also:
  Constant Field Values

#### COLOR_FEATURE_COUNT

    static final int COLOR_FEATURE_COUNT

The number of structural features of the 'Color' class.

See Also:
  Constant Field Values

#### PRECISION_POINT

    static final int PRECISION_POINT

The meta object id for the '`Precision Point`' class.

Since:
  0.9
See Also:
  `PrecisionPointImpl`, `StylesPackageImpl.getPrecisionPoint()`, Constant Field Values

#### PRECISION_POINT__X

    static final int PRECISION_POINT__X

The feature id for the 'X' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### PRECISION_POINT__Y

    static final int PRECISION_POINT__Y

The feature id for the 'Y' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### PRECISION_POINT_FEATURE_COUNT

    static final int PRECISION_POINT_FEATURE_COUNT

The number of structural features of the 'Precision Point' class.

Since:
  0.9
See Also:
  Constant Field Values

#### TEXT_STYLE

    static final int TEXT_STYLE

The meta object id for the '`Text Style`' class.

Since:
  0.10
See Also:
  `TextStyleImpl`, `StylesPackageImpl.getTextStyle()`, Constant Field Values

#### TEXT_STYLE__UNDERLINE

    static final int TEXT_STYLE__UNDERLINE

The feature id for the 'Underline' attribute.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__UNDERLINE_STYLE

    static final int TEXT_STYLE__UNDERLINE_STYLE

The feature id for the 'Underline Style' attribute.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__STRIKEOUT

    static final int TEXT_STYLE__STRIKEOUT

The feature id for the 'Strikeout' attribute.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__FONT

    static final int TEXT_STYLE__FONT

The feature id for the 'Font' reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__FOREGROUND

    static final int TEXT_STYLE__FOREGROUND

The feature id for the 'Foreground' reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__BACKGROUND

    static final int TEXT_STYLE__BACKGROUND

The feature id for the 'Background' reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__UNDERLINE_COLOR

    static final int TEXT_STYLE__UNDERLINE_COLOR

The feature id for the 'Underline Color' reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE__STRIKEOUT_COLOR

    static final int TEXT_STYLE__STRIKEOUT_COLOR

The feature id for the 'Strikeout Color' reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE_FEATURE_COUNT

    static final int TEXT_STYLE_FEATURE_COUNT

The number of structural features of the 'Text Style' class.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE_REGION

    static final int TEXT_STYLE_REGION

The meta object id for the '`Text Style Region`' class.

Since:
  0.10
See Also:
  `TextStyleRegionImpl`, `StylesPackageImpl.getTextStyleRegion()`, Constant Field Values

#### TEXT_STYLE_REGION__START

    static final int TEXT_STYLE_REGION__START

The feature id for the 'Start' attribute.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE_REGION__END

    static final int TEXT_STYLE_REGION__END

The feature id for the 'End' attribute.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE_REGION__STYLE

    static final int TEXT_STYLE_REGION__STYLE

The feature id for the 'Style' containment reference.

Since:
  0.10
See Also:
  Constant Field Values

#### TEXT_STYLE_REGION_FEATURE_COUNT

    static final int TEXT_STYLE_REGION_FEATURE_COUNT

The number of structural features of the 'Text Style Region' class.

Since:
  0.10
See Also:
  Constant Field Values

#### LINE_STYLE

    static final int LINE_STYLE

The meta object id for the '`Line Style`' enum.

See Also:
  `LineStyle`, `StylesPackageImpl.getLineStyle()`, Constant Field Values

#### ORIENTATION

    static final int ORIENTATION

The meta object id for the '`Orientation`' enum.

See Also:
  `Orientation`, `StylesPackageImpl.getOrientation()`, Constant Field Values

#### LOCATION_TYPE

    static final int LOCATION_TYPE

The meta object id for the '`Location Type`' enum.

See Also:
  `LocationType`, `StylesPackageImpl.getLocationType()`, Constant Field Values

#### UNDERLINE_STYLE

    static final int UNDERLINE_STYLE

The meta object id for the '`Underline Style`' enum.

Since:
  0.10
See Also:
  `UnderlineStyle`, `StylesPackageImpl.getUnderlineStyle()`, Constant Field Values

### Method Detail

#### getRenderingStyle

    org.eclipse.emf.ecore.EClass getRenderingStyle()

Returns the meta object for class '`Rendering Style`'.

Returns:
  the meta object for class 'Rendering Style'.
See Also:
  `RenderingStyle`

#### getRenderingStyle_AdaptedGradientColoredAreas

    org.eclipse.emf.ecore.EReference getRenderingStyle_AdaptedGradientColoredAreas()

Returns the meta object for the containment reference '`Adapted Gradient Colored Areas`'.

Returns:
  the meta object for the containment reference 'Adapted Gradient Colored Areas'.
See Also:
  `RenderingStyle.getAdaptedGradientColoredAreas()`, `getRenderingStyle()`

#### getStyle

    org.eclipse.emf.ecore.EClass getStyle()

Returns the meta object for class '`Style`'.

Returns:
  the meta object for class 'Style'.
See Also:
  `Style`

#### getStyle_Id

    org.eclipse.emf.ecore.EAttribute getStyle_Id()

Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  `Style.getId()`, `getStyle()`

#### getStyle_Description

    org.eclipse.emf.ecore.EAttribute getStyle_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `Style.getDescription()`, `getStyle()`

#### getStyle_Font

    org.eclipse.emf.ecore.EReference getStyle_Font()

Returns the meta object for the reference '`Font`'.

Returns:
  the meta object for the reference 'Font'.
See Also:
  `Style.getFont()`, `getStyle()`

#### getStyle_HorizontalAlignment

    org.eclipse.emf.ecore.EAttribute getStyle_HorizontalAlignment()

Returns the meta object for the attribute '`Horizontal Alignment`'.

Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  `Style.getHorizontalAlignment()`, `getStyle()`

#### getStyle_VerticalAlignment

    org.eclipse.emf.ecore.EAttribute getStyle_VerticalAlignment()

Returns the meta object for the attribute '`Vertical Alignment`'.

Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  `Style.getVerticalAlignment()`, `getStyle()`

#### getStyle_Angle

    org.eclipse.emf.ecore.EAttribute getStyle_Angle()

Returns the meta object for the attribute '`Angle`'.

Returns:
  the meta object for the attribute 'Angle'.
See Also:
  `Style.getAngle()`, `getStyle()`

#### getStyle_StretchH

    org.eclipse.emf.ecore.EAttribute getStyle_StretchH()

Returns the meta object for the attribute '`Stretch H`'.

Returns:
  the meta object for the attribute 'Stretch H'.
See Also:
  `Style.getStretchH()`, `getStyle()`

#### getStyle_StretchV

    org.eclipse.emf.ecore.EAttribute getStyle_StretchV()

Returns the meta object for the attribute '`Stretch V`'.

Returns:
  the meta object for the attribute 'Stretch V'.
See Also:
  `Style.getStretchV()`, `getStyle()`

#### getStyle_Proportional

    org.eclipse.emf.ecore.EAttribute getStyle_Proportional()

Returns the meta object for the attribute '`Proportional`'.

Returns:
  the meta object for the attribute 'Proportional'.
See Also:
  `Style.getProportional()`, `getStyle()`

#### getStyle_StyleContainer

    org.eclipse.emf.ecore.EReference getStyle_StyleContainer()

Returns the meta object for the container reference '`Style Container`'.

Returns:
  the meta object for the container reference 'Style Container'.
See Also:
  `Style.getStyleContainer()`, `getStyle()`

#### getStyle_Rotation

    org.eclipse.emf.ecore.EAttribute getStyle_Rotation()

Returns the meta object for the attribute '`Rotation`'.

Returns:
  the meta object for the attribute 'Rotation'.
Since:
  0.11
See Also:
  `Style.getRotation()`, `getStyle()`

#### getAbstractStyle

    org.eclipse.emf.ecore.EClass getAbstractStyle()

Returns the meta object for class '`Abstract Style`'.

Returns:
  the meta object for class 'Abstract Style'.
See Also:
  `AbstractStyle`

#### getAbstractStyle_Background

    org.eclipse.emf.ecore.EReference getAbstractStyle_Background()

Returns the meta object for the reference '`Background`'.

Returns:
  the meta object for the reference 'Background'.
See Also:
  `AbstractStyle.getBackground()`, `getAbstractStyle()`

#### getAbstractStyle_Foreground

    org.eclipse.emf.ecore.EReference getAbstractStyle_Foreground()

Returns the meta object for the reference '`Foreground`'.

Returns:
  the meta object for the reference 'Foreground'.
See Also:
  `AbstractStyle.getForeground()`, `getAbstractStyle()`

#### getAbstractStyle_LineWidth

    org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineWidth()

Returns the meta object for the attribute '`Line Width`'.

Returns:
  the meta object for the attribute 'Line Width'.
See Also:
  `AbstractStyle.getLineWidth()`, `getAbstractStyle()`

#### getAbstractStyle_LineStyle

    org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineStyle()

Returns the meta object for the attribute '`Line Style`'.

Returns:
  the meta object for the attribute 'Line Style'.
See Also:
  `AbstractStyle.getLineStyle()`, `getAbstractStyle()`

#### getAbstractStyle_Filled

    org.eclipse.emf.ecore.EAttribute getAbstractStyle_Filled()

Returns the meta object for the attribute '`Filled`'.

Returns:
  the meta object for the attribute 'Filled'.
See Also:
  `AbstractStyle.getFilled()`, `getAbstractStyle()`

#### getAbstractStyle_LineVisible

    org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineVisible()

Returns the meta object for the attribute '`Line Visible`'.

Returns:
  the meta object for the attribute 'Line Visible'.
See Also:
  `AbstractStyle.getLineVisible()`, `getAbstractStyle()`

#### getAbstractStyle_RenderingStyle

    org.eclipse.emf.ecore.EReference getAbstractStyle_RenderingStyle()

Returns the meta object for the containment reference '`Rendering Style`'.

Returns:
  the meta object for the containment reference 'Rendering Style'.
See Also:
  `AbstractStyle.getRenderingStyle()`, `getAbstractStyle()`

#### getAbstractStyle_Transparency

    org.eclipse.emf.ecore.EAttribute getAbstractStyle_Transparency()

Returns the meta object for the attribute '`Transparency`'.

Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  `AbstractStyle.getTransparency()`, `getAbstractStyle()`

#### getGradientColoredLocation

    org.eclipse.emf.ecore.EClass getGradientColoredLocation()

Returns the meta object for class '`Gradient Colored Location`'.

Returns:
  the meta object for class 'Gradient Colored Location'.
See Also:
  `GradientColoredLocation`

#### getGradientColoredLocation_LocationType

    org.eclipse.emf.ecore.EAttribute getGradientColoredLocation_LocationType()

Returns the meta object for the attribute '`Location Type`'.

Returns:
  the meta object for the attribute 'Location Type'.
See Also:
  `GradientColoredLocation.getLocationType()`, `getGradientColoredLocation()`

#### getGradientColoredLocation_LocationValue

    org.eclipse.emf.ecore.EAttribute getGradientColoredLocation_LocationValue()

Returns the meta object for the attribute '`Location Value`'.

Returns:
  the meta object for the attribute 'Location Value'.
See Also:
  `GradientColoredLocation.getLocationValue()`, `getGradientColoredLocation()`

#### getGradientColoredLocation_Color

    org.eclipse.emf.ecore.EReference getGradientColoredLocation_Color()

Returns the meta object for the containment reference '`Color`'.

Returns:
  the meta object for the containment reference 'Color'.
See Also:
  `GradientColoredLocation.getColor()`, `getGradientColoredLocation()`

#### getGradientColoredArea

    org.eclipse.emf.ecore.EClass getGradientColoredArea()

Returns the meta object for class '`Gradient Colored Area`'.

Returns:
  the meta object for class 'Gradient Colored Area'.
See Also:
  `GradientColoredArea`

#### getGradientColoredArea_Start

    org.eclipse.emf.ecore.EReference getGradientColoredArea_Start()

Returns the meta object for the containment reference '`Start`'.

Returns:
  the meta object for the containment reference 'Start'.
See Also:
  `GradientColoredArea.getStart()`, `getGradientColoredArea()`

#### getGradientColoredArea_End

    org.eclipse.emf.ecore.EReference getGradientColoredArea_End()

Returns the meta object for the containment reference '`End`'.

Returns:
  the meta object for the containment reference 'End'.
See Also:
  `GradientColoredArea.getEnd()`, `getGradientColoredArea()`

#### getGradientColoredAreas

    org.eclipse.emf.ecore.EClass getGradientColoredAreas()

Returns the meta object for class '`Gradient Colored Areas`'.

Returns:
  the meta object for class 'Gradient Colored Areas'.
See Also:
  `GradientColoredAreas`

#### getGradientColoredAreas_GradientColor

    org.eclipse.emf.ecore.EReference getGradientColoredAreas_GradientColor()

Returns the meta object for the containment reference list '`Gradient Color`'.

Returns:
  the meta object for the containment reference list 'Gradient Color'.
See Also:
  `GradientColoredAreas.getGradientColor()`, `getGradientColoredAreas()`

#### getGradientColoredAreas_StyleAdaption

    org.eclipse.emf.ecore.EAttribute getGradientColoredAreas_StyleAdaption()

Returns the meta object for the attribute '`Style Adaption`'.

Returns:
  the meta object for the attribute 'Style Adaption'.
See Also:
  `GradientColoredAreas.getStyleAdaption()`, `getGradientColoredAreas()`

#### getAdaptedGradientColoredAreas

    org.eclipse.emf.ecore.EClass getAdaptedGradientColoredAreas()

Returns the meta object for class '`Adapted Gradient Colored Areas`'.

Returns:
  the meta object for class 'Adapted Gradient Colored Areas'.
See Also:
  `AdaptedGradientColoredAreas`

#### getAdaptedGradientColoredAreas_DefinedStyleId

    org.eclipse.emf.ecore.EAttribute getAdaptedGradientColoredAreas_DefinedStyleId()

Returns the meta object for the attribute '`Defined Style Id`'.

Returns:
  the meta object for the attribute 'Defined Style Id'.
See Also:
  `AdaptedGradientColoredAreas.getDefinedStyleId()`, `getAdaptedGradientColoredAreas()`

#### getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas

    org.eclipse.emf.ecore.EReference getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas()

Returns the meta object for the containment reference list '`Adapted Gradient Colored Areas`'.

Returns:
  the meta object for the containment reference list 'Adapted Gradient Colored Areas'.
See Also:
  `AdaptedGradientColoredAreas.getAdaptedGradientColoredAreas()`, `getAdaptedGradientColoredAreas()`

#### getAdaptedGradientColoredAreas_GradientType

    org.eclipse.emf.ecore.EAttribute getAdaptedGradientColoredAreas_GradientType()

Returns the meta object for the attribute '`Gradient Type`'.

Returns:
  the meta object for the attribute 'Gradient Type'.
See Also:
  `AdaptedGradientColoredAreas.getGradientType()`, `getAdaptedGradientColoredAreas()`

#### getFont

    org.eclipse.emf.ecore.EClass getFont()

Returns the meta object for class '`Font`'.

Returns:
  the meta object for class 'Font'.
See Also:
  `Font`

#### getFont_Name

    org.eclipse.emf.ecore.EAttribute getFont_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Font.getName()`, `getFont()`

#### getFont_Size

    org.eclipse.emf.ecore.EAttribute getFont_Size()

Returns the meta object for the attribute '`Size`'.

Returns:
  the meta object for the attribute 'Size'.
See Also:
  `Font.getSize()`, `getFont()`

#### getFont_Italic

    org.eclipse.emf.ecore.EAttribute getFont_Italic()

Returns the meta object for the attribute '`Italic`'.

Returns:
  the meta object for the attribute 'Italic'.
See Also:
  `Font.isItalic()`, `getFont()`

#### getFont_Bold

    org.eclipse.emf.ecore.EAttribute getFont_Bold()

Returns the meta object for the attribute '`Bold`'.

Returns:
  the meta object for the attribute 'Bold'.
See Also:
  `Font.isBold()`, `getFont()`

#### getPoint

    org.eclipse.emf.ecore.EClass getPoint()

Returns the meta object for class '`Point`'.

Returns:
  the meta object for class 'Point'.
See Also:
  `Point`

#### getPoint_X

    org.eclipse.emf.ecore.EAttribute getPoint_X()

Returns the meta object for the attribute '`X`'.

Returns:
  the meta object for the attribute 'X'.
See Also:
  `Point.getX()`, `getPoint()`

#### getPoint_Y

    org.eclipse.emf.ecore.EAttribute getPoint_Y()

Returns the meta object for the attribute '`Y`'.

Returns:
  the meta object for the attribute 'Y'.
See Also:
  `Point.getY()`, `getPoint()`

#### getPoint_Before

    org.eclipse.emf.ecore.EAttribute getPoint_Before()

Returns the meta object for the attribute '`Before`'.

Returns:
  the meta object for the attribute 'Before'.
See Also:
  `Point.getBefore()`, `getPoint()`

#### getPoint_After

    org.eclipse.emf.ecore.EAttribute getPoint_After()

Returns the meta object for the attribute '`After`'.

Returns:
  the meta object for the attribute 'After'.
See Also:
  `Point.getAfter()`, `getPoint()`

#### getColor

    org.eclipse.emf.ecore.EClass getColor()

Returns the meta object for class '`Color`'.

Returns:
  the meta object for class 'Color'.
See Also:
  `Color`

#### getColor_Red

    org.eclipse.emf.ecore.EAttribute getColor_Red()

Returns the meta object for the attribute '`Red`'.

Returns:
  the meta object for the attribute 'Red'.
See Also:
  `Color.getRed()`, `getColor()`

#### getColor_Green

    org.eclipse.emf.ecore.EAttribute getColor_Green()

Returns the meta object for the attribute '`Green`'.

Returns:
  the meta object for the attribute 'Green'.
See Also:
  `Color.getGreen()`, `getColor()`

#### getColor_Blue

    org.eclipse.emf.ecore.EAttribute getColor_Blue()

Returns the meta object for the attribute '`Blue`'.

Returns:
  the meta object for the attribute 'Blue'.
See Also:
  `Color.getBlue()`, `getColor()`

#### getPrecisionPoint

    org.eclipse.emf.ecore.EClass getPrecisionPoint()

Returns the meta object for class '`Precision Point`'.

Returns:
  the meta object for class 'Precision Point'.
Since:
  0.9
See Also:
  `PrecisionPoint`

#### getPrecisionPoint_X

    org.eclipse.emf.ecore.EAttribute getPrecisionPoint_X()

Returns the meta object for the attribute '`X`'.

Returns:
  the meta object for the attribute 'X'.
Since:
  0.9
See Also:
  `PrecisionPoint.getX()`, `getPrecisionPoint()`

#### getPrecisionPoint_Y

    org.eclipse.emf.ecore.EAttribute getPrecisionPoint_Y()

Returns the meta object for the attribute '`Y`'.

Returns:
  the meta object for the attribute 'Y'.
Since:
  0.9
See Also:
  `PrecisionPoint.getY()`, `getPrecisionPoint()`

#### getTextStyle

    org.eclipse.emf.ecore.EClass getTextStyle()

Returns the meta object for class '`Text Style`'.

Returns:
  the meta object for class 'Text Style'.
Since:
  0.10
See Also:
  `TextStyle`

#### getTextStyle_Underline

    org.eclipse.emf.ecore.EAttribute getTextStyle_Underline()

Returns the meta object for the attribute '`Underline`'.

Returns:
  the meta object for the attribute 'Underline'.
Since:
  0.10
See Also:
  `TextStyle.isUnderline()`, `getTextStyle()`

#### getTextStyle_UnderlineStyle

    org.eclipse.emf.ecore.EAttribute getTextStyle_UnderlineStyle()

Returns the meta object for the attribute '`Underline Style`'.

Returns:
  the meta object for the attribute 'Underline Style'.
Since:
  0.10
See Also:
  `TextStyle.getUnderlineStyle()`, `getTextStyle()`

#### getTextStyle_Strikeout

    org.eclipse.emf.ecore.EAttribute getTextStyle_Strikeout()

Returns the meta object for the attribute '`Strikeout`'.

Returns:
  the meta object for the attribute 'Strikeout'.
Since:
  0.10
See Also:
  `TextStyle.isStrikeout()`, `getTextStyle()`

#### getTextStyle_Font

    org.eclipse.emf.ecore.EReference getTextStyle_Font()

Returns the meta object for the reference '`Font`'.

Returns:
  the meta object for the reference 'Font'.
Since:
  0.10
See Also:
  `TextStyle.getFont()`, `getTextStyle()`

#### getTextStyle_Foreground

    org.eclipse.emf.ecore.EReference getTextStyle_Foreground()

Returns the meta object for the reference '`Foreground`'.

Returns:
  the meta object for the reference 'Foreground'.
Since:
  0.10
See Also:
  `TextStyle.getForeground()`, `getTextStyle()`

#### getTextStyle_Background

    org.eclipse.emf.ecore.EReference getTextStyle_Background()

Returns the meta object for the reference '`Background`'.

Returns:
  the meta object for the reference 'Background'.
Since:
  0.10
See Also:
  `TextStyle.getBackground()`, `getTextStyle()`

#### getTextStyle_UnderlineColor

    org.eclipse.emf.ecore.EReference getTextStyle_UnderlineColor()

Returns the meta object for the reference '`Underline Color`'.

Returns:
  the meta object for the reference 'Underline Color'.
Since:
  0.10
See Also:
  `TextStyle.getUnderlineColor()`, `getTextStyle()`

#### getTextStyle_StrikeoutColor

    org.eclipse.emf.ecore.EReference getTextStyle_StrikeoutColor()

Returns the meta object for the reference '`Strikeout Color`'.

Returns:
  the meta object for the reference 'Strikeout Color'.
Since:
  0.10
See Also:
  `TextStyle.getStrikeoutColor()`, `getTextStyle()`

#### getTextStyleRegion

    org.eclipse.emf.ecore.EClass getTextStyleRegion()

Returns the meta object for class '`Text Style Region`'.

Returns:
  the meta object for class 'Text Style Region'.
Since:
  0.10
See Also:
  `TextStyleRegion`

#### getTextStyleRegion_Start

    org.eclipse.emf.ecore.EAttribute getTextStyleRegion_Start()

Returns the meta object for the attribute '`Start`'.

Returns:
  the meta object for the attribute 'Start'.
Since:
  0.10
See Also:
  `TextStyleRegion.getStart()`, `getTextStyleRegion()`

#### getTextStyleRegion_End

    org.eclipse.emf.ecore.EAttribute getTextStyleRegion_End()

Returns the meta object for the attribute '`End`'.

Returns:
  the meta object for the attribute 'End'.
Since:
  0.10
See Also:
  `TextStyleRegion.getEnd()`, `getTextStyleRegion()`

#### getTextStyleRegion_Style

    org.eclipse.emf.ecore.EReference getTextStyleRegion_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
Since:
  0.10
See Also:
  `TextStyleRegion.getStyle()`, `getTextStyleRegion()`

#### getLineStyle

    org.eclipse.emf.ecore.EEnum getLineStyle()

Returns the meta object for enum '`Line Style`'.

Returns:
  the meta object for enum 'Line Style'.
See Also:
  `LineStyle`

#### getOrientation

    org.eclipse.emf.ecore.EEnum getOrientation()

Returns the meta object for enum '`Orientation`'.

Returns:
  the meta object for enum 'Orientation'.
See Also:
  `Orientation`

#### getLocationType

    org.eclipse.emf.ecore.EEnum getLocationType()

Returns the meta object for enum '`Location Type`'.

Returns:
  the meta object for enum 'Location Type'.
See Also:
  `LocationType`

#### getUnderlineStyle

    org.eclipse.emf.ecore.EEnum getUnderlineStyle()

Returns the meta object for enum '`Underline Style`'.

Returns:
  the meta object for enum 'Underline Style'.
Since:
  0.10
See Also:
  `UnderlineStyle`

#### getStylesFactory

    StylesFactory getStylesFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.